{ inputs, ... }:

{
  nixops4Deployments.git =
    { providers, ... }:
    {
      providers.local = inputs.nixops4-nixos.modules.nixops4Provider.local;

      resources = {
        vm02116 = {
          type = providers.local.exec;
          imports = [ inputs.nixops4-nixos.modules.nixops4Resource.nixos ];
          ssh = {
            host = "185.206.232.34";
            opts = "";
            hostPublicKey = "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAILriawl1za2jbxzelkL5v8KPmcvuj7xVBgwFxuM/zhYr";
          };
          nixpkgs = inputs.nixpkgs;
          nixos.module = {
            imports = [ ./vm02116 ];
          };
        };

        vm02179 = {
          type = providers.local.exec;
          imports = [ inputs.nixops4-nixos.modules.nixops4Resource.nixos ];
          ssh = {
            host = "185.206.232.179";
            opts = "";
            hostPublicKey = "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIPAsOCOsJ0vNL9fGj0XC25ir8B+k2NlVJzsiVUx+0eWM";
          };
          nixpkgs = inputs.nixpkgs;
          nixos.module = {
            imports = [ ./vm02179 ];
          };
        };

        vm02186 = {
          type = providers.local.exec;
          imports = [ inputs.nixops4-nixos.modules.nixops4Resource.nixos ];
          ssh = {
            host = "185.206.232.186";
            opts = "";
            hostPublicKey = "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAII6mnBgEeyYE4tzHeFNHVNBV6KR+hAqh3PYSqlh0QViW";
          };
          nixpkgs = inputs.nixpkgs;
          nixos.module = {
            imports = [ ./vm02186 ];
          };
        };
      };
    };

  nixops4Deployments.web =
    { providers, ... }:
    {
      providers.local = inputs.nixops4-nixos.modules.nixops4Provider.local;

      resources = {
        vm02187 = {
          type = providers.local.exec;
          imports = [ inputs.nixops4-nixos.modules.nixops4Resource.nixos ];
          ssh = {
            host = "185.206.232.187";
            opts = "";
            hostPublicKey = "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIN24ZfdQNklKkIqfMg/+0vqENuDcy6fhT6SfAq01ae83";
          };
          nixpkgs = inputs.nixpkgs;
          nixos.module = {
            imports = [ ./vm02187 ];
          };
        };
      };
    };
}
